Bug 495415 - GDM autologin does not deactivate after logging out
GDM autologin does not deactivate after logging out
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
: 496632 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 17:27 EDT by Hezekiah M. Carty
Modified: 2011-07-07 22:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-07 22:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2009-04-12 17:27:44 EDT
Description of problem:
After enabling autologin in GDM, there is no way to get back to the GDM login screen without disabling autologin in /etc/gdm/custom.conf

Version-Release number of selected component (if applicable):
gdm-2.26.0-7.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Enable automatic login for GDM
2. Start GDM and find yourself logged in
3. Log out - and find yourself immediately logged back in again
  
Actual results:
Immediate automatic login after logging out

Expected results:
No automatic login after logging out

Additional info:
According to the GDM changelog, this should not happen.  Logging out from an automatically logged in session should disable the autologin.
Comment 1 Matthias Clasen 2009-04-20 10:32:14 EDT
*** Bug 496632 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2009-06-09 09:42:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Àlex Magaz Graça 2009-08-27 02:56:41 EDT
It happens at least since gdm-2.24.0-12.fc10. Not sure whether it was fixed in some version in between.
Comment 4 Pavel Rosenboim 2009-12-20 15:25:07 EST
Still happens in F12 (gdm-2.28.1-25.fc12.i686)
Comment 5 Bug Zapper 2010-04-27 09:38:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Pavel Rosenboim 2010-04-27 09:59:01 EDT
This just makes me wonder... is anyone actually working on gdm? This bug and bug related to replacement for removed gdmsetup utility are not even assigned for several releases.
Comment 7 Bug Zapper 2010-07-30 06:38:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jeff Layton 2010-09-30 10:54:57 EDT
This is a significant regression from GDM1, which would allow you to use autologin and then log back out and get a login prompt. Now, the only way to get a login prompt is to disable autologin and restart GDM (usually by rebooting).
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:32:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:34:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:37:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:40:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-06-21 11:50:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:52:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:55:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:56:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Jonathan Kamens 2011-07-07 22:56:35 EDT
Fixed in F15.

Note You need to log in before you can comment on or make changes to this bug.